Index: /trunk/tests/org/expeditee/gui/AttributeValuePairTest.java
===================================================================
--- /trunk/tests/org/expeditee/gui/AttributeValuePairTest.java	(revision 1101)
+++ /trunk/tests/org/expeditee/gui/AttributeValuePairTest.java	(revision 1102)
@@ -1,8 +1,7 @@
 package org.expeditee.gui;
-
-import java.awt.Color;
 
 import junit.framework.TestCase;
 
+import org.expeditee.core.Colour;
 import org.expeditee.items.Text;
 
@@ -35,8 +34,8 @@
 		attributes.setText("c:red");
 		assertTrue(AttributeUtils.setAttribute(attributes, attributes));
-		assertEquals(Color.red, attributes.getColor());
+		assertEquals(Colour.RED, attributes.getColor());
 		attributes.setText("color:green");
 		assertTrue(AttributeUtils.setAttribute(attributes, attributes));
-		assertEquals(Color.green, attributes.getColor());
+		assertEquals(Colour.GREEN, attributes.getColor());
 	}
 
Index: /trunk/tests/org/expeditee/gui/DisplayIOTest.java
===================================================================
--- /trunk/tests/org/expeditee/gui/DisplayIOTest.java	(revision 1101)
+++ /trunk/tests/org/expeditee/gui/DisplayIOTest.java	(revision 1102)
@@ -11,8 +11,8 @@
 		showBlankFrame();
 
-		DisplayIO.ToggleTwinFrames();
-		assertTrue(DisplayIO.isTwinFramesOn());
-		DisplayIO.ToggleTwinFrames();
-		assertFalse(DisplayIO.isTwinFramesOn());
+		DisplayController.toggleTwinFrames();
+		assertTrue(DisplayController.isTwinFramesOn());
+		DisplayController.toggleTwinFrames();
+		assertFalse(DisplayController.isTwinFramesOn());
 	}
 
@@ -22,11 +22,11 @@
 		
 		//Draw a rectangle
-		DisplayIO.setCursorPosition(250, 250);
+		DisplayController.setCursorPosition(250, 250);
 		Thread.sleep(100);
-		DisplayIO.clickMouse(InputEvent.BUTTON3_MASK);
+		DisplayController.clickMouse(InputEvent.BUTTON3_MASK);
 		Thread.sleep(100);
-		DisplayIO.setCursorPosition(500, 500);
+		DisplayController.setCursorPosition(500, 500);
 		Thread.sleep(100);
-		DisplayIO.clickMouse(InputEvent.BUTTON3_MASK);
+		DisplayController.clickMouse(InputEvent.BUTTON3_MASK);
 		Thread.sleep(1000);
 		//Check that the line is there
@@ -42,11 +42,11 @@
 	public static void drawLine() throws InterruptedException {
 		//Draw a line
-		DisplayIO.setCursorPosition(100, 100);
+		DisplayController.setCursorPosition(100, 100);
 		Thread.sleep(500);
-		DisplayIO.clickMouse(InputEvent.BUTTON2_MASK);
+		DisplayController.clickMouse(InputEvent.BUTTON2_MASK);
 		Thread.sleep(100);
-		DisplayIO.setCursorPosition(200, 200);
+		DisplayController.setCursorPosition(200, 200);
 		Thread.sleep(100);
-		DisplayIO.clickMouse(InputEvent.BUTTON2_MASK);
+		DisplayController.clickMouse(InputEvent.BUTTON2_MASK);
 		Thread.sleep(100);
 	}
Index: /trunk/tests/org/expeditee/gui/FrameKeyboardsActionsTest.java
===================================================================
--- /trunk/tests/org/expeditee/gui/FrameKeyboardsActionsTest.java	(revision 1101)
+++ /trunk/tests/org/expeditee/gui/FrameKeyboardsActionsTest.java	(revision 1102)
@@ -12,22 +12,22 @@
 	public final void testTypeText() throws Exception {
 		Frame testFrame = showBlankFrame();
-		DisplayIO.typeKey(KeyEvent.VK_ESCAPE);
-		DisplayIO.typeText("hello");
+		DisplayController.typeKey(KeyEvent.VK_ESCAPE);
+		DisplayController.typeText("hello");
 		// Pick the item up in the middle
 		Item currentItem = FrameUtils.getCurrentItem();
 		assertNotNull(currentItem);
-		DisplayIO.setCursorPosition(currentItem.getX()
+		DisplayController.setCursorPosition(currentItem.getX()
 				+ currentItem.getBoundsWidth() / 2,
 				FrameMouseActions.MouseY - 2);
 		Thread.sleep(DELAY);
-		DisplayIO.clickMouse(InputEvent.BUTTON2_MASK);
+		DisplayController.clickMouse(InputEvent.BUTTON2_MASK);
 		Thread.sleep(DELAY);
-		DisplayIO.setCursorPosition(
+		DisplayController.setCursorPosition(
 				Math.round(FrameGraphics.getMaxFrameSize().getWidth() / 2),
 				FrameMouseActions.MouseY);
 		Thread.sleep(DELAY);
-		DisplayIO.typeKey(KeyEvent.VK_ESCAPE);
+		DisplayController.typeKey(KeyEvent.VK_ESCAPE);
 		Thread.sleep(DELAY);
-		DisplayIO.clickMouse(InputEvent.BUTTON2_MASK);
+		DisplayController.clickMouse(InputEvent.BUTTON2_MASK);
 		Thread.sleep(DELAY);
 
@@ -35,11 +35,11 @@
 		assertEquals(currentItem.getX(), FrameMouseActions.getX());
 
-		DisplayIO.typeKey(KeyEvent.VK_ESCAPE);
+		DisplayController.typeKey(KeyEvent.VK_ESCAPE);
 
-		DisplayIO.typeStringDirect(0.05, "Hello Again!");
+		DisplayController.typeStringDirect(0.05, "Hello Again!");
 
-		DisplayIO.typeKey(KeyEvent.VK_ESCAPE);
+		DisplayController.typeKey(KeyEvent.VK_ESCAPE);
 
-		DisplayIO.typeText("Hello Again");
+		DisplayController.typeText("Hello Again");
 
 		assertEquals(4, testFrame.getItems(false).size());
Index: /trunk/tests/org/expeditee/gui/FrameMouseActionsTest.java
===================================================================
--- /trunk/tests/org/expeditee/gui/FrameMouseActionsTest.java	(revision 1101)
+++ /trunk/tests/org/expeditee/gui/FrameMouseActionsTest.java	(revision 1102)
@@ -16,5 +16,5 @@
 		testLeftRanging(title);
 
-		String newFrameName = DisplayIO.getCurrentFrame().getName();
+		String newFrameName = DisplayController.getCurrentFrame().getName();
 		Navigation.Back();
 
@@ -30,5 +30,5 @@
 		DisplayIOTest.drawLine();
 		
-		newFrameName = DisplayIO.getCurrentFrame().getName();
+		newFrameName = DisplayController.getCurrentFrame().getName();
 		Navigation.Back();
 		
@@ -45,12 +45,12 @@
 	private void testLeftRanging(Text title) throws InterruptedException {
 		int y = title.getY() - 2;
-		DisplayIO.setCursorPosition(title.getX(), y);
+		DisplayController.setCursorPosition(title.getX(), y);
 		Thread.sleep(500);
-		DisplayIO.pressMouse(InputEvent.BUTTON1_MASK);
+		DisplayController.pressMouse(InputEvent.BUTTON1_MASK);
 		Thread.sleep(100);
-		DisplayIO.setCursorPosition(title.getX() + title.getBoundsWidth() / 2,
+		DisplayController.setCursorPosition(title.getX() + title.getBoundsWidth() / 2,
 				y);
 		Thread.sleep(500);
-		DisplayIO.releaseMouse(InputEvent.BUTTON1_MASK);
+		DisplayController.releaseMouse(InputEvent.BUTTON1_MASK);
 		Thread.sleep(100);
 
@@ -59,14 +59,14 @@
 
 		// Highlight then unhighlight
-		DisplayIO.setCursorPosition(title.getX(), y);
+		DisplayController.setCursorPosition(title.getX(), y);
 		Thread.sleep(500);
-		DisplayIO.pressMouse(InputEvent.BUTTON1_MASK);
+		DisplayController.pressMouse(InputEvent.BUTTON1_MASK);
 		Thread.sleep(100);
-		DisplayIO.setCursorPosition(title.getX() + title.getBoundsWidth() / 2,
+		DisplayController.setCursorPosition(title.getX() + title.getBoundsWidth() / 2,
 				y);
 		Thread.sleep(500);
-		DisplayIO.setCursorPosition(title.getX(), y);
+		DisplayController.setCursorPosition(title.getX(), y);
 		Thread.sleep(500);
-		DisplayIO.releaseMouse(InputEvent.BUTTON1_MASK);
+		DisplayController.releaseMouse(InputEvent.BUTTON1_MASK);
 		Thread.sleep(500);
 
Index: /trunk/tests/org/expeditee/gui/FreeItemsTest.java
===================================================================
--- /trunk/tests/org/expeditee/gui/FreeItemsTest.java	(revision 1101)
+++ /trunk/tests/org/expeditee/gui/FreeItemsTest.java	(revision 1102)
@@ -13,13 +13,13 @@
 
 		FrameMouseActions.pickup(testFrame.getTitleItem());
-		assertTrue(FreeItems.itemsAttachedToCursor());
+		assertTrue(FreeItems.hasItemsAttachedToCursor());
 		assertTrue(FreeItems.textOnlyAttachedToCursor());
 
 		FrameMouseActions.anchor(FreeItems.getInstance());
-		assertFalse(FreeItems.itemsAttachedToCursor());
+		assertFalse(FreeItems.hasItemsAttachedToCursor());
 		assertFalse(FreeItems.textOnlyAttachedToCursor());
 
 		FrameMouseActions.pickup(testFrame.getAllItems());
-		assertTrue(FreeItems.itemsAttachedToCursor());
+		assertTrue(FreeItems.hasItemsAttachedToCursor());
 		assertFalse(FreeItems.textOnlyAttachedToCursor());
 		assertEquals(8, FreeItems.getTextItems().size());
@@ -31,5 +31,5 @@
 
 		FrameMouseActions.anchor(FreeItems.getInstance());
-		assertFalse(FreeItems.itemsAttachedToCursor());
+		assertFalse(FreeItems.hasItemsAttachedToCursor());
 		assertFalse(FreeItems.textOnlyAttachedToCursor());
 	}
Index: /trunk/tests/org/expeditee/gui/GuiTestCase.java
===================================================================
--- /trunk/tests/org/expeditee/gui/GuiTestCase.java	(revision 1101)
+++ /trunk/tests/org/expeditee/gui/GuiTestCase.java	(revision 1102)
@@ -18,5 +18,5 @@
 		Frame testFrame = FrameIO.LoadFrame("ExpediteeTest1");
 		testFrame.clear(false);
-		DisplayIO.setCurrentFrame(testFrame, true);
+		DisplayController.setCurrentFrame(testFrame, true);
 		return testFrame;
 	}
@@ -25,5 +25,5 @@
 		Frame testFrame = FrameIO.LoadFrame(frameName);
 		testFrame.clear(false);
-		DisplayIO.setCurrentFrame(testFrame, true);
+		DisplayController.setCurrentFrame(testFrame, true);
 		return testFrame;
 	}
Index: /trunk/tests/org/expeditee/io/ConversionTest.java
===================================================================
--- /trunk/tests/org/expeditee/io/ConversionTest.java	(revision 1101)
+++ /trunk/tests/org/expeditee/io/ConversionTest.java	(revision 1102)
@@ -1,5 +1,4 @@
 package org.expeditee.io;
 
-import java.awt.Color;
 import java.awt.Font;
 import java.awt.Point;
@@ -10,4 +9,5 @@
 import junit.framework.TestCase;
 
+import org.expeditee.core.Colour;
 import org.expeditee.items.Item;
 import org.expeditee.items.Justification;
@@ -17,44 +17,44 @@
 
 	public final void testGetColor() {
-		assertEquals(null, Conversion.getColor("TrAnSpArEnT", Color.white));
-		assertEquals(null, Conversion.getColor("Clear", Color.white));
-		assertEquals(null, Conversion.getColor("Auto", Color.white));
-		assertEquals(null, Conversion.getColor("Default", Color.white));
-		assertEquals(null, Conversion.getColor("adf", Color.red));
-		assertEquals(null, Conversion.getColor("none", Color.red));
-		assertEquals(null, Conversion.getColor("null", Color.red));
-		assertEquals(null, Conversion.getColor(null, Color.red));
-		assertEquals(null, Conversion.getColor("a0a0a0", Color.white));
-
-		assertEquals(Color.red, Conversion.getColor("100 0 0", Color.white));
-		assertEquals(Color.green, Conversion.getColor("0 100 0", Color.white));
-		assertEquals(Color.blue, Conversion.getColor("0 0 100", Color.white));
-		assertEquals(Color.white, Conversion.getColor("100 100 100",
-				Color.white));
-		assertEquals(Color.gray, Conversion.getColor("50 50 50", Color.white));
-		assertEquals(Color.green, Conversion.getColor("-100 +0 -100",
-				Color.white));
-		assertEquals(Color.green, Conversion.getColor("-10 +100 +0",
-				Color.black));
-		assertEquals(Color.green, Conversion.getColor("+0 +110 +0", null));
-
-		assertEquals(Conversion.getColor("red9", Color.white), new Color(0.9F,
+		assertEquals(null, Conversion.getColor("TrAnSpArEnT", Colour.WHITE));
+		assertEquals(null, Conversion.getColor("Clear", Colour.WHITE));
+		assertEquals(null, Conversion.getColor("Auto", Colour.WHITE));
+		assertEquals(null, Conversion.getColor("Default", Colour.WHITE));
+		assertEquals(null, Conversion.getColor("adf", Colour.RED));
+		assertEquals(null, Conversion.getColor("none", Colour.RED));
+		assertEquals(null, Conversion.getColor("null", Colour.RED));
+		assertEquals(null, Conversion.getColor(null, Colour.RED));
+		assertEquals(null, Conversion.getColor("a0a0a0", Colour.WHITE));
+
+		assertEquals(Colour.RED, Conversion.getColor("100 0 0", Colour.WHITE));
+		assertEquals(Colour.GREEN, Conversion.getColor("0 100 0", Colour.WHITE));
+		assertEquals(Colour.BLUE, Conversion.getColor("0 0 100", Colour.WHITE));
+		assertEquals(Colour.WHITE, Conversion.getColor("100 100 100",
+				Colour.WHITE));
+		assertEquals(Colour.GREY, Conversion.getColor("50 50 50", Colour.WHITE));
+		assertEquals(Colour.GREEN, Conversion.getColor("-100 +0 -100",
+				Colour.WHITE));
+		assertEquals(Colour.GREEN, Conversion.getColor("-10 +100 +0",
+				Colour.BLACK));
+		assertEquals(Colour.GREEN, Conversion.getColor("+0 +110 +0", null));
+
+		assertEquals(Conversion.getColor("red9", Colour.WHITE), new Colour(0.9F,
 				0.0F, 0.0F));
-		assertEquals(Conversion.getColor("BlUe15", Color.white), new Color(
+		assertEquals(Conversion.getColor("BlUe15", Colour.WHITE), new Colour(
 				0.0F, 0.0F, 1.0F));
-		assertEquals(Conversion.getColor("GREEN0", Color.white), new Color(
+		assertEquals(Conversion.getColor("GREEN0", Colour.WHITE), new Colour(
 				0.0F, 0.0F, 0.0F));
-		assertEquals(Conversion.getColor("GREEN3", Color.white), new Color(
+		assertEquals(Conversion.getColor("GREEN3", Colour.WHITE), new Colour(
 				0.0F, 0.3F, 0.0F));
-		assertEquals(Conversion.getColor("Blue1", Color.white), new Color(0.0F,
+		assertEquals(Conversion.getColor("Blue1", Colour.WHITE), new Colour(0.0F,
 				0.0F, 0.1F));
 	}
 
 	public final void testGetExpediteeColorCode() {
-		assertTrue(Conversion.getExpediteeColorCode(Color.red)
+		assertTrue(Conversion.getExpediteeColorCode(Colour.RED)
 				.equals("100 0 0"));
-		assertTrue(Conversion.getExpediteeColorCode(Color.green).equals(
+		assertTrue(Conversion.getExpediteeColorCode(Colour.GREEN).equals(
 				"0 100 0"));
-		assertTrue(Conversion.getExpediteeColorCode(Color.blue).equals(
+		assertTrue(Conversion.getExpediteeColorCode(Colour.BLUE).equals(
 				"0 0 100"));
 	}
@@ -127,14 +127,14 @@
 
 		// Test Color Conversion
-		assertEquals(Color.darkGray, Conversion.Convert(Color.class,
+		assertEquals(Colour.DARK_GREY, Conversion.Convert(Colour.class,
 				"dark_gray"));
-		assertEquals(Color.darkGray, Conversion
-				.Convert(Color.class, "DARKGRAY"));
-		assertEquals(Color.red, Conversion.Convert(Color.class, "red"));
-		assertEquals(Color.red, Conversion.Convert(Color.class, "Red"));
-		assertEquals(Color.red, Conversion.Convert(Color.class, "RED"));
-		assertEquals(Color.red, Conversion.Convert(Color.class, " 100 "));
-		assertEquals(Color.green, Conversion.Convert(Color.class, "0  100"));
-		assertEquals(Color.blue, Conversion.Convert(Color.class, "0 0 100"));
+		assertEquals(Colour.DARK_GREY, Conversion
+				.Convert(Colour.class, "DARKGRAY"));
+		assertEquals(Colour.RED, Conversion.Convert(Colour.class, "red"));
+		assertEquals(Colour.RED, Conversion.Convert(Colour.class, "Red"));
+		assertEquals(Colour.RED, Conversion.Convert(Colour.class, "RED"));
+		assertEquals(Colour.RED, Conversion.Convert(Colour.class, " 100 "));
+		assertEquals(Colour.GREEN, Conversion.Convert(Colour.class, "0  100"));
+		assertEquals(Colour.BLUE, Conversion.Convert(Colour.class, "0 0 100"));
 		// Test Boolean Conversion
 		assertEquals(true, Conversion.Convert(boolean.class, ""));
@@ -151,10 +151,10 @@
 
 	public final void testConvertClassStringObject() {
-		assertEquals(new Color(255, 0, 255), Conversion.Convert(Color.class,
+		assertEquals(Colour.FromRGB255(255, 0, 255), Conversion.Convert(Colour.class,
 				"+100 +0 +100", null));
-		assertEquals(Color.red, Conversion.Convert(Color.class, "+100 +0 -100",
-				Color.blue));
-		assertEquals(Color.black, Conversion.Convert(Color.class, "-0 +0 -100",
-				Color.blue));
+		assertEquals(Colour.RED, Conversion.Convert(Colour.class, "+100 +0 -100",
+				Colour.BLUE));
+		assertEquals(Colour.BLACK, Conversion.Convert(Colour.class, "-0 +0 -100",
+				Colour.BLUE));
 		// Float test
 		assertEquals(2.0F, Conversion.Convert(float.class, "2.0", null));
@@ -305,5 +305,5 @@
 
 			assertEquals("100 0 0", Conversion.ConvertToExpeditee(getPosition,
-					Color.red));
+					Colour.RED));
 
 			assertEquals(null, Conversion.ConvertToExpeditee(getPosition, null));
@@ -325,7 +325,7 @@
 
 	public final void testGetCssColor() {
-		assertEquals("rgb(255,0,0)", Conversion.getCssColor(Color.red));
-		assertEquals("rgb(255,0,255)", Conversion.getCssColor(Color.magenta));
-		assertEquals("rgb(128,128,128)", Conversion.getCssColor(Color.gray));
+		assertEquals("rgb(255,0,0)", Conversion.getCssColor(Colour.RED));
+		assertEquals("rgb(255,0,255)", Conversion.getCssColor(Colour.MAGENTA));
+		assertEquals("rgb(128,128,128)", Conversion.getCssColor(Colour.GREY));
 	}
 }
Index: /trunk/tests/org/expeditee/items/widgets/InteractiveWidgetTest.java
===================================================================
--- /trunk/tests/org/expeditee/items/widgets/InteractiveWidgetTest.java	(revision 1101)
+++ /trunk/tests/org/expeditee/items/widgets/InteractiveWidgetTest.java	(revision 1102)
@@ -7,18 +7,18 @@
 	public void testParseArgs1() {
 		
-		assertNull(InteractiveWidget.parseArgs(null));
-		assertNull(InteractiveWidget.parseArgs(""));
-		assertNull(InteractiveWidget.parseArgs("         "));
+		assertNull(Widget.parseArgs(null));
+		assertNull(Widget.parseArgs(""));
+		assertNull(Widget.parseArgs("         "));
 		
-		String[] args = InteractiveWidget.parseArgs("arg1");
+		String[] args = Widget.parseArgs("arg1");
 		assertEquals(1, args.length);
 		assertEquals("arg1", args[0]);
 		
-		args = InteractiveWidget.parseArgs("arg1 arg2");
+		args = Widget.parseArgs("arg1 arg2");
 		assertEquals(2, args.length);
 		assertEquals("arg1", args[0]);
 		assertEquals("arg2", args[1]);
 		
-		args = InteractiveWidget.parseArgs("  )*^*$^   24224 5775    13 :  ");
+		args = Widget.parseArgs("  )*^*$^   24224 5775    13 :  ");
 		assertEquals(5, args.length);
 		assertEquals(")*^*$^", args[0]);
@@ -31,46 +31,46 @@
 	public void testParseArgs2() {
 		
-		String[] args = InteractiveWidget.parseArgs("\"");
+		String[] args = Widget.parseArgs("\"");
 		assertNull(args);
 		
-		args = InteractiveWidget.parseArgs("\"\"");
+		args = Widget.parseArgs("\"\"");
 		assertEquals(1, args.length);
 		assertEquals("\"", args[0]);
 		
-		args = InteractiveWidget.parseArgs("\"\"\"\"\"\"\"");
+		args = Widget.parseArgs("\"\"\"\"\"\"\"");
 		assertEquals(1, args.length);
 		assertEquals("\"\"\"", args[0]);
 		
-		args = InteractiveWidget.parseArgs("  \"         \"   ");
+		args = Widget.parseArgs("  \"         \"   ");
 		assertEquals(1, args.length);
 		assertEquals("         ", args[0]);
 		
-		args = InteractiveWidget.parseArgs("arg1\" \"");
+		args = Widget.parseArgs("arg1\" \"");
 		assertEquals(1, args.length);
 		assertEquals("arg1 ", args[0]);
 		
-		args = InteractiveWidget.parseArgs("arg1\" \"+8");
+		args = Widget.parseArgs("arg1\" \"+8");
 		assertEquals(1, args.length);
 		assertEquals("arg1 +8", args[0]);
 		
-		args = InteractiveWidget.parseArgs("abc\" \"de 123\" \"45");
+		args = Widget.parseArgs("abc\" \"de 123\" \"45");
 		assertEquals(2, args.length);
 		assertEquals("abc de", args[0]);
 		assertEquals("123 45", args[1]);
 		
-		args = InteractiveWidget.parseArgs("adgdag\" adgdgadag");
+		args = Widget.parseArgs("adgdag\" adgdgadag");
 		assertEquals(1, args.length);
 		assertEquals("adgdag adgdgadag", args[0]);
 		
-		args = InteractiveWidget.parseArgs("abc\"\"\" s \"   ggg");
+		args = Widget.parseArgs("abc\"\"\" s \"   ggg");
 		assertEquals(2, args.length);
 		assertEquals("abc\" s ", args[0]);
 		assertEquals("ggg", args[1]);
 		
-		args = InteractiveWidget.parseArgs("abc\"\"123");
+		args = Widget.parseArgs("abc\"\"123");
 		assertEquals(1, args.length);
 		assertEquals("abc\"123", args[0]);
 		
-		args = InteractiveWidget.parseArgs("file=\"a URL with spaces\" title=\"A title with spaces and \"\"quotes\"\"\"");
+		args = Widget.parseArgs("file=\"a URL with spaces\" title=\"A title with spaces and \"\"quotes\"\"\"");
 		assertEquals(2, args.length);
 		assertEquals("file=a URL with spaces", args[0]);
@@ -101,9 +101,9 @@
 	private void AssertArgParsingAndFormatting(String str) {
 		
-		String[] args1 = InteractiveWidget.parseArgs(str);
+		String[] args1 = Widget.parseArgs(str);
 		
-		String formatted = InteractiveWidget.formatArgs(args1);
+		String formatted = Widget.formatArgs(args1);
 		
-		String[] args2 = InteractiveWidget.parseArgs(formatted);
+		String[] args2 = Widget.parseArgs(formatted);
 		
 		if (args1 == null || args2 == null) assertEquals(args1, args2);
